> For the complete documentation index, see [llms.txt](https://docs.zotlo.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zotlo.com/integrating-zotlo/api-reference/subscriptions-endpoints/remove-discount.md).

# Remove Discount

This endpoint allows you to remove an applied discount from an existing subscriber's active subscription.

Use this endpoint to remove a previously applied discount from an eligible subscriber's active subscription.

<table data-header-hidden><thead><tr><th width="99.640625"></th><th></th></tr></thead><tbody><tr><td>Method</td><td><h4>  <mark style="color:blue;"><code>POST</code></mark></h4></td></tr><tr><td>URL</td><td><pre data-overflow="wrap" data-full-width="false"><code>https://api.zotlo.com/v2/subscription/remove-discount
</code></pre></td></tr></tbody></table>

## **Request Parameters**

<table><thead><tr><th width="176.16015625">Field</th><th width="115.48828125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>subscriberId</code></td><td>Required</td><td>The email, phone number the user provided when starting the subscription.</td></tr><tr><td><code>discountCode</code></td><td>Required</td><td>The ID of the current active package. A successful response is returned only if the user has a subscription for this package.</td></tr><tr><td><code>packageId</code></td><td>Required</td><td>The ID of the su</td></tr></tbody></table>

## **Sample Request**

{% code overflow="wrap" %}

```js
POST https://api.zotlo.com/v1/subscription/cancellation HTTP/1.1
AccessKey: ••••••
AccessSecret: ••••••
Content-Type: application/json
ApplicationId: •
Language: en

{
  "subscriberId": "test@mail.com",
  "packageId": "test_1234",
  "discountCode": "FRIDAY20"
}
```

{% endcode %}

{% hint style="info" %}
You can find your **AccessKey** and **AccessSecret** in the Zotlo Panel under **Developer Tools → API Keys**

Sending **ApplicationId** is optional.
{% endhint %}

## Successful Response

{% code overflow="wrap" %}

```json
{
    "meta": {
        "requestId": "192-168-1-107.eu-central-1.compute.internal-REQ-6a5dd5b1a3abd",
        "httpStatus": 200
    },
    "result": {
        "message": "Discount removed successfully"
    }
}
```

{% endcode %}

## **Failed Response**

All failed responses follow the same standard error format.\
(See: [**Error Handling**](/integrating-zotlo/api-reference/error-handling.md))
